meanwhile: mwCipher Struct Reference

# mwCipher Struct Reference

`#include <mw_cipher.h>`

## Detailed Description

A cipher.

Ciphers are primarily used to provide cipher instances for bi-directional encryption on channels, but some may be used for other activities. Expand upon this structure to create a custom encryption provider.

See also:
  mwCipherInstance

## Data Fields
struct mwEncryptItem *(* | accept )(struct mwCipherInstance *ci)
void(* | accepted )(struct mwCipherInstance *ci, struct mwEncryptItem *item)
void(* | clear )(struct mwCipher *c)
| prepare this cipher for being free'd
void(* | clear_instance )(struct mwCipherInstance *ci)
| clean up a cipher instance before being free'd
mwCipherProcessor | decrypt
mwCipherProcessor | encrypt
const char *(* | get_desc )()
const char *(* | get_name )()
mwCipherInstantiator | new_instance
| Generate a new Cipher Instance for use on a channel.
struct mwEncryptItem *(* | offer )(struct mwCipherInstance *ci)
void(* | offered )(struct mwCipherInstance *ci, struct mwEncryptItem *item)
struct mwSession * | session
| service this cipher is providing for
guint16 | type

## Field Documentation

struct mwEncryptItem*(* mwCipher::accept)(struct mwCipherInstance *ci)`[read]`

void(* mwCipher::accepted)(struct mwCipherInstance *ci, struct mwEncryptItem *item)

void(* mwCipher::clear)(struct mwCipher *c)

prepare this cipher for being free'd

See also:
  mwCipher_free

void(* mwCipher::clear_instance)(struct mwCipherInstance *ci)

clean up a cipher instance before being free'd

See also:
  mwCipherInstance_free

mwCipherProcessor mwCipher::decrypt

See also:
  mwCipherInstance_decrypt

mwCipherProcessor mwCipher::encrypt

See also:
  mwCipherInstance_encrypt

const char*(* mwCipher::get_desc)()

See also:
  mwCipher_getDesc

const char*(* mwCipher::get_name)()

See also:
  mwCipher_getName

mwCipherInstantiator mwCipher::new_instance

Generate a new Cipher Instance for use on a channel.

See also:
  mwCipher_newInstance

struct mwEncryptItem*(* mwCipher::offer)(struct mwCipherInstance *ci)`[read]`

void(* mwCipher::offered)(struct mwCipherInstance *ci, struct mwEncryptItem *item)

struct mwSession* mwCipher::session`[read]`

service this cipher is providing for

See also:
  mwCipher_getSession

guint16 mwCipher::type

See also:
  mwCipher_getType

The documentation for this struct was generated from the following file:

- mw_cipher.h